| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | Friends | List of all members
Event Class Reference

Essential information of the event used in examples It can be identified by "/Event". More...

`#include <src/Test/Event.h>`

Inheritance diagram for Event:
[legend]
Collaboration diagram for Event:
[legend]

## Public Member Functions
| Event ()
| Constructors. More...
virtual | ~Event ()
| Destructor. More...
virtual const CLID & | clID () const
| Retrieve reference to class definition structure. More...
long | event () const
| Retrieve event number. More...
void | setEvent (long value)
| Update event number. More...
long | run () const
| Retrieve run number. More...
void | setRun (long value)
| Update run number. More...
const Gaudi::Time & | time () const
| Retrieve reference to event time stamp. More...
void | setTime (const Gaudi::Time &value)
| Update reference to event time stamp. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
long | m_event
| Event number. More...
long | m_run
| Run number. More...
Gaudi::Time | m_time
| Time stamp. More...

## Friends
std::ostream & | operator<< (std::ostream &s, const Event &obj)
| Output operator (ASCII) More...

## Detailed Description

Essential information of the event used in examples It can be identified by "/Event".

Author
  Pavel Binko

Definition at line 23 of file Event.h.

## Constructor & Destructor Documentation

Event::Event | ( |  | ) |
| inline

Constructors.

Definition at line 27 of file Event.h.

27 : DataObject(), m_event(0), m_run(0) { }
Event::m_event
long m_event
Event number.
Definition: Event.h:59
Event::m_run
long m_run
Run number.
Definition: Event.h:61
DataObject::DataObject
DataObject()
Standard Constructor.
Definition: DataObject.cpp:13

virtual Event::~Event | ( |  | ) |
| inline virtual

Destructor.

Definition at line 29 of file Event.h.

29 { }

## Member Function Documentation

static const CLID& Event::classID | ( |  | ) |
| inline static

Definition at line 33 of file Event.h.

33 { return CLID_Event; }

virtual const CLID& Event::clID | ( |  | ) | const
| inline virtual

Retrieve reference to class definition structure.

Reimplemented from DataObject.

Definition at line 32 of file Event.h.

32 { return classID(); }
Event::classID
static const CLID & classID()
Definition: Event.h:33

long Event::event | ( |  | ) | const
| inline

Retrieve event number.

Definition at line 36 of file Event.h.

36 { return m_event; }
Event::m_event
long m_event
Event number.
Definition: Event.h:59

std::ostream & Event::fillStream | ( | std::ostream & | s | ) | const
| inline virtual

Fill the output stream (ASCII)

Reimplemented from DataObject.

Definition at line 67 of file Event.h.

67 {
68 return s
69 << "class Event :"
70 << "\n Event number = "
71 << std::setw(12)
72 << m_event
73 << "\n Run number = "
74 << std::setw(12)
75 << m_run
76 << "\n Time = " << m_time;
77 }
Event::m_time
Gaudi::Time m_time
Time stamp.
Definition: Event.h:63
Event::m_event
long m_event
Event number.
Definition: Event.h:59
std::setw
T setw(T...args)
Event::m_run
long m_run
Run number.
Definition: Event.h:61

long Event::run | ( |  | ) | const
| inline

Retrieve run number.

Definition at line 41 of file Event.h.

41 { return m_run; }
Event::m_run
long m_run
Run number.
Definition: Event.h:61

void Event::setEvent | ( | long | value | ) |
| inline

Update event number.

Definition at line 38 of file Event.h.

38 { m_event = value; }
Event::m_event
long m_event
Event number.
Definition: Event.h:59
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

void Event::setRun | ( | long | value | ) |
| inline

Update run number.

Definition at line 43 of file Event.h.

43 { m_run = value; }
Event::m_run
long m_run
Run number.
Definition: Event.h:61
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

void Event::setTime | ( | const Gaudi::Time & | value | ) |
| inline

Update reference to event time stamp.

Definition at line 48 of file Event.h.

48 { m_time = value; }
Event::m_time
Gaudi::Time m_time
Time stamp.
Definition: Event.h:63
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

const Gaudi::Time& Event::time | ( |  | ) | const
| inline

Retrieve reference to event time stamp.

Definition at line 46 of file Event.h.

46 { return m_time; }
Event::m_time
Gaudi::Time m_time
Time stamp.
Definition: Event.h:63

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | s,
|  | const Event & | obj
| ) |  |
| friend

Output operator (ASCII)

Definition at line 51 of file Event.h.

51 {
52 return obj.fillStream(s);
53 }
Event::fillStream
virtual std::ostream & fillStream(std::ostream &s) const
Fill the output stream (ASCII)
Definition: Event.h:67

## Member Data Documentation

long Event::m_event
| private

Event number.

Definition at line 59 of file Event.h.

long Event::m_run
| private

Run number.

Definition at line 61 of file Event.h.

Gaudi::Time Event::m_time
| private

Time stamp.

Definition at line 63 of file Event.h.

The documentation for this class was generated from the following file:

- GaudiPython/src/Test/Event.h